$ifndef __calcauto_inc__
$define __calcauto_inc__

$ifndef __windowssdk_inc__
$include "windowssdk.inc"
$endif




class CWinCalc
	declare CWinCalc()
	declare _CWinCalc()

	declare Start(),BOOL
	declare Close()

	' click a button by its name (name=STRING) or id (name=INT)
	declare ClickButton(pointer name),BOOL

	' click menu item by its name (name=STRING) or id (name=INT)
	declare InvokeMenu(pointer name),BOOL

	' returns text from calc editbox. result=STRING; cch=buffer size in characters 
	declare GetResult(pointer result, int cch),BOOL

	' need to call after changing the view standard <-> scientific
	' For ClickButton() and InvokeMenu() it is called automatically.
	' m_hProcess and m_ThreadId must be valid
	declare RenewWindowHandles(),BOOL

	' private
	declare FreeCommands()
	declare FreeProcessHandle()
	declare EnumMenus(HMENU menu)
	declare FindItem(pointer name, BOOL button, pointer ppItem),BOOL

	pointer m_commands   ' CALCITEM linked list; must be first (constructor = why)
	HWND    m_hwndCalc   '
	HWND    m_hwndResult ' result editbox
	HMENU   m_menu       '
	HANDLE  m_hProcess   '
	DWORD   m_ThreadId   '
endclass

$endif
